> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# Update Module Dependencies

PUT https://admin/platform-billing/module-dependencies
Content-Type: multipart/form-data

Reference: https://docs.itspropel.com/propel-biz/25-platform-billing-saa-s/admin/update-module-dependencies

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /admin/platform-billing/module-dependencies:
    put:
      operationId: update-module-dependencies
      summary: Update Module Dependencies
      tags:
        - >-
          subpackage_25PlatformBillingSaaS.subpackage_25PlatformBillingSaaS/admin
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/25 Platform Billing (SaaS)_Admin_Update
                  Module Dependencies_Response_200
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                dependencies[0][module_key]:
                  type: string
                  description: >-
                    Required: Module key that has a dependency - string -
                    "jobmanagement"
                dependencies[0][required_module_key]:
                  type: string
                  description: 'Required: Module key that is required - string - "crm"'
              required:
                - dependencies[0][module_key]
                - dependencies[0][required_module_key]
servers:
  - url: https:/
components:
  schemas:
    25 Platform Billing (SaaS)_Admin_Update Module Dependencies_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: 25 Platform Billing (SaaS)_Admin_Update Module Dependencies_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/admin/platform-billing/module-dependencies"

payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"dependencies[0][module_key]\"\r\n\r\njobmanagement\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"dependencies[0][required_module_key]\"\r\n\r\ncrm\r\n-----011000010111000001101001--\r\n"
headers = {"Content-Type": "multipart/form-data; boundary=---011000010111000001101001"}

response = requests.put(url, data=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://https/admin/platform-billing/module-dependencies';
const form = new FormData();
form.append('dependencies[0][module_key]', 'jobmanagement');
form.append('dependencies[0][required_module_key]', 'crm');

const options = {method: 'PUT'};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/admin/platform-billing/module-dependencies"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"dependencies[0][module_key]\"\r\n\r\njobmanagement\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"dependencies[0][required_module_key]\"\r\n\r\ncrm\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("PUT", url, payload)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/admin/platform-billing/module-dependencies")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"dependencies[0][module_key]\"\r\n\r\njobmanagement\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"dependencies[0][required_module_key]\"\r\n\r\ncrm\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://https/admin/platform-billing/module-dependencies")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"dependencies[0][module_key]\"\r\n\r\njobmanagement\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"dependencies[0][required_module_key]\"\r\n\r\ncrm\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://https/admin/platform-billing/module-dependencies', [
  'multipart' => [
    [
        'name' => 'dependencies[0][module_key]',
        'contents' => 'jobmanagement'
    ],
    [
        'name' => 'dependencies[0][required_module_key]',
        'contents' => 'crm'
    ]
  ]
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/admin/platform-billing/module-dependencies");
var request = new RestRequest(Method.PUT);
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"dependencies[0][module_key]\"\r\n\r\njobmanagement\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"dependencies[0][required_module_key]\"\r\n\r\ncrm\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation
let parameters = [
  [
    "name": "dependencies[0][module_key]",
    "value": "jobmanagement"
  ],
  [
    "name": "dependencies[0][required_module_key]",
    "value": "crm"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://https/admin/platform-billing/module-dependencies")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```